Skip to main content
POST
/
api
/
v1
/
local-directory-configs
/
{app_id}
Update
package main

import(
	"context"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
	conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
	"log"
)

func main() {
    ctx := context.Background()

    s := conductoronesdkgo.New(
        conductoronesdkgo.WithSecurity(shared.Security{
            BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
            Oauth: "<YOUR_OAUTH_HERE>",
        }),
    )

    res, err := s.LocalDirectoryConfig.Update(ctx, operations.C1APILocalDirectoryV1LocalDirectoryConfigServiceUpdateRequest{
        AppID: "<id>",
    })
    if err != nil {
        log.Fatal(err)
    }
    if res.LocalDirectoryConfigServiceUpdateResponse != nil {
        // handle response
    }
}
{
  "localDirectoryConfig": {
    "allowSelfRegistration": true,
    "appId": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "defaultProfileTypeId": "<string>",
    "displayName": "<string>",
    "invitationTtl": "<string>",
    "isDefault": true,
    "onboardingFlowId": "<string>",
    "organizationId": "<string>",
    "selfRegistrationDomains": [
      "<string>"
    ],
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://conductorone-ian-account-to-user-pipeline.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

app_id
string
required
read-only

app_id is the identifier for this config and its linked App. Read-only after creation.

Body

application/json

The LocalDirectoryConfigServiceUpdateRequest message.

localDirectoryConfig
Local Directory Config · object

LocalDirectoryConfig is the public representation of a C1-managed local directory configuration. The underlying directory infrastructure is provided by the linked App (identified by app_id).

updateMask
string | null

Response

200 - application/json

Successful response

The LocalDirectoryConfigServiceUpdateResponse message.

localDirectoryConfig
Local Directory Config · object

LocalDirectoryConfig is the public representation of a C1-managed local directory configuration. The underlying directory infrastructure is provided by the linked App (identified by app_id).